Represents either a checkbox (multiple choice) or a radio button (single choice) element.

see

  RadioChoice

see

  CheckboxChoice

see

  IRenderable

since

  0.23.0

### Hierarchy

- Choice
  - RadioChoice
  - CheckboxChoice

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- inputType
- render

## Constructors

### constructor

- new Choice(spec: ISpecification): Choice

- - Defined in lib/renderable/choice/Choice.ts:16

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Choice

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/choice/Choice.ts:16

## Methods

### Abstract inputType

- inputType(): "radio" | "checkbox"

- - Defined in lib/renderable/choice/Choice.ts:82

  #### Returns "radio" | "checkbox"

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/choice/Choice.ts:22

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

Generated using TypeDoc